Bug 1274644 - SELinux is preventing dbus-daemon-lau from using the 'rlimitinh' accesses on a process. [NEEDINFO]
SELinux is preventing dbus-daemon-lau from using the 'rlimitinh' accesses on ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b623d5a371c63b5b269ba9b5b81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 04:57 EDT by Adam Nicholson
Modified: 2016-07-19 16:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (adam)


Attachments (Terms of Use)

  None (edit)
Description Adam Nicholson 2015-10-23 04:57:51 EDT
Description of problem:
SELinux is preventing dbus-daemon-lau from using the 'rlimitinh' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that dbus-daemon-lau should be allowed rlimitinh access on processes labeled unconfined_service_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dbus-daemon-lau /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:unconfined_service_t:s0-s0:c0.c1
                              023
Target Objects                Unknown [ process ]
Source                        dbus-daemon-lau
Source Path                   dbus-daemon-lau
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.18.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-200.fc22.x86_64 #1 SMP Thu
                              Oct 8 03:23:55 UTC 2015 x86_64 x86_64
Alert Count                   31
First Seen                    2015-10-22 11:33:35 BST
Last Seen                     2015-10-23 09:57:05 BST
Local ID                      32c101e5-99ff-4c01-b269-8be6e9b16447

Raw Audit Messages
type=AVC msg=audit(1445590625.403:2202): avc:  denied  { rlimitinh } for  pid=3667 comm="dbus-daemon-lau" scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:unconfined_service_t:s0-s0:c0.c1023 tclass=process permissive=0


Hash: dbus-daemon-lau,system_dbusd_t,unconfined_service_t,process,rlimitinh

Version-Release number of selected component:
selinux-policy-3.13.1-128.18.fc22.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-11-10 04:31:44 EST
Did you enable dontaudit rules?

# semodule -B

will enable them again.
Comment 2 Fedora End Of Life 2016-07-19 16:55:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.